=== autotests/CMakeLists.txt ===
find_package(Qt6Test REQUIRED)

add_subdirectory(qfeedbackactuator)
add_subdirectory(qfeedbackhapticseffect)
add_subdirectory(qdeclarativefeedback)
if (TARGET QtFeedbackMMK)
    add_subdirectory(qfeedbackmmk)
endif()
