=== autotests/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt6Core REQUIRED)

include("${_Qt6CTestMacros}")

expect_pass(test_modules)
