=== autotests/qdeclarativefeedback/CMakeLists.txt ===
ecm_add_test(tst_qdeclarativefeedback.cpp LINK_LIBRARIES KTactileFeedback Qt::Test Qt::Qml TEST_NAME qdeclarativefeedback)
target_compile_definitions(qdeclarativefeedback PRIVATE -DSRCDIR="${CMAKE_CURRENT_SOURCE_DIR}")
