=== autotests/qfeedbackactuator/CMakeLists.txt ===
ecm_add_test(tst_qfeedbackactuator.cpp LINK_LIBRARIES KTactileFeedback Qt::Test TEST_NAME qfeedbackactuator)
