=== autotests/qfeedbackhapticseffect/CMakeLists.txt ===
ecm_add_test(tst_qfeedbackhapticseffect.cpp LINK_LIBRARIES KTactileFeedback Qt::Test TEST_NAME qfeedbackhapticseffect)
