=== autotests/qfeedbackmmk/CMakeLists.txt ===
ecm_add_test(tst_qfeedbackmmk.cpp LINK_LIBRARIES KTactileFeedback QtFeedbackMMK Qt::Test TEST_NAME qfeedbackmmk)
target_compile_definitions(qfeedbackmmk PRIVATE -DSRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/")
