=== src/imports/CMakeLists.txt ===
add_library(declarative_feedback SHARED
    feedback/qdeclarativefileeffect_p.h
    feedback/qdeclarativefeedbackeffect.cpp
    feedback/qdeclarativefeedbackeffect_p.h
    feedback/qdeclarativethemeeffect.cpp
    feedback/qdeclarativefeedbackactuator.cpp
    feedback/qdeclarativefileeffect.cpp
    feedback/qdeclarativethemeeffect_p.h
    feedback/qdeclarativefeedbackactuator_p.h
    feedback/qdeclarativehapticseffect.cpp
    feedback/plugin.cpp
    feedback/qdeclarativehapticseffect_p.h)

target_link_libraries(declarative_feedback PUBLIC Qt::Core Qt::Qml KTactileFeedback)
install(TARGETS declarative_feedback DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/tactilefeedback)
install(FILES feedback/plugins.qmltypes feedback/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/tactilefeedback)
