=== src/plugins/CMakeLists.txt ===
if (ENABLE_QTMULTIMEDIA_BACKEND)
    add_subdirectory(feedback/mmk)
endif()
add_subdirectory(feedback/hfd-service)
add_subdirectory(feedback/feedbackd)
