## ktactilefeedback 0.0.0+p24.04+vunstable+git20251202.0950

=== debian/changelog ===
ktactilefeedback (0.0.0+p24.04+vunstable+git20251202.0950-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 09:50:45 +0000

ktactilefeedback (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Sun, 13 Jul 2025 16:44:11 +1000
