=== debian/control ===
Source: ktactilefeedback
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/ktactilefeedback
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/ktactilefeedback.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/ktactilefeedback
Maintainer: Neon CI <neon@kde.org>

Package: ktactilefeedback
Architecture: any
Depends: feedbackd-device-themes, ${misc:Depends}, ${shlibs:Depends}
Description: KDE tactile feedback provider library
 work in progress repository for working on QtFeedback patches.
 .
 This package contains the ktactilefeedback main library.

Package: ktactilefeedback-dev
Section: libdevel
Architecture: any
Depends: kf6-extra-cmake-modules,
         ktactilefeedback (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: KDE tactile feedback provider library
 work in progress repository for working on QtFeedback patches.
 .
 This package contains the ktactilefeedback development files.
