## ktactilefeedback 1.0.0~git20250725.da7858a

=== debian/changelog ===
ktactilefeedback (1.0.0~git20250725.da7858a-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1115608).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Sep 2025 23:07:39 +0200
