=== debian/control ===
Source: ktactilefeedback
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               libpulse-dev,
               pkg-kde-tools,
               qt6-base-dev,
               qt6-declarative-dev,
               qml6-module-qtquick,
               qml6-module-qtqml-workerscript,
               qt6-multimedia-dev,
               qt6-tools-dev,
               xauth,
               xvfb,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/jbbgameich/ktactilefeedback
Vcs-Git: https://gitlab.com/ubports/development/core/packaging/ktactilefeedback.git
Vcs-Browser: https://gitlab.com/ubports/development/core/packaging/ktactilefeedback

Package: libktactilefeedback1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tactile feedback library for Qt
 KTactileFeedback provides a C++ API as well as a QML module which use
 pluggable backends in order to provide tactile and audio feedback to the user.
 .
 This package provides the Qt API as well as the backend plugins.

Package: qml6-module-ktactilefeedback
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libktactilefeedback1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tactile feedback QML module
 KTactileFeedback provides a C++ API as well as a QML module which use
 pluggable backends in order to provide tactile and audio feedback to the user.
 .
 This package contains the QML module.

Package: ktactilefeedback-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libktactilefeedback1 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: KTactileFeedback development files
 KTactileFeedback provides a C++ API as well as a QML module which use
 pluggable backends in order to provide tactile and audio feedback to the user.
 .
 This package contains the header development files used for building Qt
 applications using tactile feedback API.

Package: ktactilefeedback-examples
Architecture: all
Section: libdevel
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
Description: KTactileFeedback QML examples
 KTactileFeedback provides a C++ API as well as a QML module which use
 pluggable backends in order to provide tactile and audio feedback to the user.
 .
 This package contains the examples for using the tactile feedback API.

Package: ktactilefeedback-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: KTactileFeedback documentation
 KTactileFeedback provides a C++ API as well as a QML module which use
 pluggable backends in order to provide tactile and audio feedback to the user.
 .
 This package contains the documentation for the tactile feedback C++ API and
 QML module.
