=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# temporarily ignore test results, qdeclarativefeedback fails if the
	# QML module is not installed
	-dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..
