=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.0.0~git%cd.%h" \
https://invent.kde.org/jbbgameich/ktactilefeedback \
heads/master debian
